Subject: Re: [spring] WGLC - draft-ietf-spring-srv6-network-programming

From: Sander Steffann <[email-masked]>
Date: Wed, 4 Mar 2020 23:36:09 +0100

Hi,

> I guarantee you there is case the performance penalty is more than 90%, only if the box send the IPv6 packet with RH or EH to the slow path (just to be compatible with RFC8200)!
> And I think that's common even for not very old box.

So you are saying that we're going through all these discussions about PSP, just for boxes where the vendor can implement the SR control plane, line rate decapsulation, but not to skip over RH in the case when remaining segments is 0 except by punting it to the control plane?

That sounds like some really backwards hardware or lack of implementation effort...

I understand that fully handling RH might be tricky for some platforms, but this discussion is only applicable to the special case where remaining==0.

I get the feeling that we're adding a protocol feature just to save a few bytes of code in the fast path. That sounds like a very bad tradeoff/engineering decision to me...

Cheers,
Sander